package com.ruoyi.course.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.RestResponse;
import com.ruoyi.course.domain.req.ReqSearchClaTime;
import com.ruoyi.course.domain.ScClaTime;
import com.ruoyi.course.domain.time.ClaTimeBookItem;
import com.ruoyi.course.domain.time.ClaTimeCalendarItem;
import com.ruoyi.course.domain.time.RespBusinessClaTimeCalendar;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface ScClaTimeService extends IService<ScClaTime> {
    RespBusinessClaTimeCalendar searchListForCalendar(ReqSearchClaTime reqSearchClaTime);

    RestResponse getCourseListByDate(String date);

     RestResponse bookCourse(@RequestBody ReqSearchClaTime searchClaTime);

    Map<String,List<ClaTimeBookItem>> bookCourseList();

    RestResponse bookCourseDetail(Long bookId);

    RestResponse cancelCourse(Long courseTimeId);

    RestResponse courseTimeDetail(Long courseTimeId);
    RestResponse getCourseDetail(Long courseTimeId);
    RestResponse appointmentListForTeacher();
    RestResponse appointmentListForManager();
    RestResponse checkAppointment(Long courseTimeId,int bookStatus);

    RestResponse confirmClass(Long courseTimeId,String startTime,String endTime);

    RestResponse checkIn(Map map);

    RestResponse teacherClaTotal(String time);
    RestResponse teacherFeeTotal(String time);
    RestResponse commissionTotal(String time);
    RestResponse salesInformation(String time);
    RestResponse claRoomFee(String time);
    RestResponse myClient();
}
